/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://github.com/google/apis-client-generator/
 * (build: 2017-02-15 17:18:02 UTC)
 * on 2017-05-29 at 18:21:26 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.translate.model;

/**
 * The request message for language detection.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Cloud Translation API. For a detailed
 * explanation see:
 * <a href="https://developers.google.com/api-client-library/java/google-http-java-client/json">https://developers.google.com/api-client-library/java/google-http-java-client/json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class DetectLanguageRequest extends com.google.api.client.json.GenericJson {

  /**
   * The input text upon which to perform language detection. Repeat this parameter to perform
   * language detection on multiple text inputs.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<java.lang.String> q;

  /**
   * The input text upon which to perform language detection. Repeat this parameter to perform
   * language detection on multiple text inputs.
   * @return value or {@code null} for none
   */
  public java.util.List<java.lang.String> getQ() {
    return q;
  }

  /**
   * The input text upon which to perform language detection. Repeat this parameter to perform
   * language detection on multiple text inputs.
   * @param q q or {@code null} for none
   */
  public DetectLanguageRequest setQ(java.util.List<java.lang.String> q) {
    this.q = q;
    return this;
  }

  @Override
  public DetectLanguageRequest set(String fieldName, Object value) {
    return (DetectLanguageRequest) super.set(fieldName, value);
  }

  @Override
  public DetectLanguageRequest clone() {
    return (DetectLanguageRequest) super.clone();
  }

}
